<?
// from the book
function reviewpress_reviews_register_shortcodes() {
    /* Register the [reviews] shortcode. */
    add_shortcode( 'reviews', 'reviewpres_sreviews_shortcode' );
}
add_action( 'init', 'reviewpress_reviews_register_shortcodes' );

function reviewpress_reviews_shortcode() {
    /* Query reviews from the database. */
    $loop = new WP_Query(
        array(
            'post_type' => 'reviews',
            'orderby' => 'title',
            'order' => 'ASC',
            'posts_per_page' => -1, // infinite
        )
    );

    /* Check if any reviews were returned. */
    if ( $loop->have_posts() ) {

        /* Open an unordered list. */
        $output = '<ul class="reviews">';

        /* Loop through the reviews (The Loop). */
        while ( $loop->have_posts() ) {

            $loop->the_post();

            /* Display the title. */
            $output .= the_title(
                '<li><a href="' . get_permalink() . '">',
                '</a></li>',
                false
            );

            /* Insert a line break. */
            $output .= '<br />';

			// custom taxonomies
            /* Show the album artist. */
            $output .= get_the_term_list( get_the_ID(), 'album_artist', 
                'Artist: ', ', ', ' ' );

            /* Show the album genre. */
            $output .= get_the_term_list( get_the_ID(), 'album_genre',
                'Genre: ', ', ', ' ' );

        }

        /* Close the unordered list. */
        $output .= '</ul>';
    }

    /* If no reviews were found. */
    else {
        $output = '<p>No reviews have been published.</p>';
    }

    /* Return the music reviews list. */
    return $output;
}
?>