<?php
/*
Plugin Name: ReviewPress
Plugin URI: http://www.ramoonus.nl/wordpress/reviewpress/
Description: ReviewPress for easier writing and managing reviews on your WordPress based weblog or website.
Version: 0.2
Author: Ramoonus
Author URI: http://www.ramoonus.nl/
License: GPL2
*/

function reviewpress_init() {
	// Custom Post Type
	register_post_type('reviews', array(
			'label' => 'Reviews',
			'description' => 'Custom post type optimised for reviews.',
			'public' => true,
			'show_ui' => true,
			'show_in_menu' => true,
			'capability_type' => 'post',
			'hierarchical' => false, // true for pages, false for posts
			'rewrite' => array(
					'slug' => 'reviews'), // obsolete since default is true
			'query_var' => true,
			'supports' => array('title', 'editor', 'revisions', 'thumbnail', 'author' ),
			'taxonomies' => array('reviewcategory', 'reviewtags'), // removed post tags and categories
			'labels' => array (
				  'name' => 'Reviews',
				  'singular_name' => 'reviews',
				  'menu_name' => 'Reviews',
				  'add_new' => 'Add New',
				  'add_new_item' => 'Add New Review',
				  'edit' => 'Edit',
				  'edit_item' => 'Edit Review',
				  'new_item' => 'New Review',
				  'view' => 'View Review',
				  'view_item' => 'View Review',
				  'search_items' => 'Search Reviews',
				  'not_found' => 'No revies found',
				  'not_found_in_trash' => 'No reviews found in trash',
				  'parent' => 'Parent Review',
			), // closing the labels array
			// @since 0.2
			//'menu_position' => 5, 	// @since 0.2 
									// 5 - below Posts 10 - below Media 15 - below Links 20 - below Pages 25 - below comments 
									// 60 - below first separator 65 - below Plugins 70 - below Users 75 - below Tools 80 - below Settings 
									// 100 - below second separator 
	  ) );
	
	// Review Category - Taxonomy
	register_taxonomy('reviewcategory',array (
	  0 => 'reviews',),
	 array( 
		 'hierarchical' => true, // true for cat, false for tag
		'label' => 'Review Category',
		'show_ui' => true,'query_var' => true,
		'rewrite' => array('slug' => 'reviewcategory'),
		'singular_label' => 'Review Category') );
	// needs labels
	
	// Review Tags - Taxonomy
	register_taxonomy('reviewtags',array (
	  0 => 'reviews',),
	 array( 
		 'hierarchical' => false, 
		'label' => 'Review Tags',
		'show_ui' => true,'query_var' => true,
		'rewrite' => array('slug' => 'reviewtag'), // note the minus S
		'singular_label' => 'Review Tags') );
	// needs labels
		
	} // close the reviewpress custom post type init
// and execute it
add_action('init', 'reviewpress_init');

// rewrite rules
function reviewpress_rewrite_flush() {
	reviewpress_init();
	flush_rewrite_rules();
}
// on activate
register_activation_hook(__FILE__, 'reviewpress_rewrite_flush');
?>
<?
// admin meta boxes
// @since 0.2
require_once("lib/metabox.php");
require_once("lib/metabox-hreview.php");

// WP 3.0+
add_action( 'add_meta_boxes', 'reviewpress_add_custom_box2' ); 	// ReviewPress
add_action( 'add_meta_boxes', 'reviewpress_add_custom_box' ); 	//hReview

// backwards compatible (WP < 3.0)
//add_action( 'admin_init', 'reviewpress_add_custom_box', 1 );
?>
<?
// shortcodes
// @since 0.3
//require_once("lib/shortcode.php"); // disabled in 0.2
?>
<?
// textdomain (translation)
// @since 0.4
require_once("lib/translate.php");

// admin css/js
// @since 0.4
require_once("lib/styling.php");
?>
<?
// hReview support
// @since 0.5
// div class=hreview
require_once("lib/hreview.php");
?>
<?
// Amazon ASIN support
// @since 0.7
require_once("lib/amazon.php");
?>